Bug 460134 (CVE-2008-3790) - CVE-2008-3790 ruby: DoS vulnerability in the REXML module
Summary: CVE-2008-3790 ruby: DoS vulnerability in the REXML module
Status: CLOSED ERRATA
Alias: CVE-2008-3790
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20080823,reported=20080825,sou...
Keywords: Security
Depends On: 461579 461580 461590 461591
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-26 12:05 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:34 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-11-13 15:22:43 UTC


Attachments (Terms of Use)
Upstream PoC -- XML file with recursively nested entities (413 bytes, text/plain)
2008-08-26 12:10 UTC, Jan Lieskovsky
no flags Details
The Ruby core REXML module patch. (3.14 KB, patch)
2008-08-29 06:42 UTC, Jan Lieskovsky
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0897 normal SHIPPED_LIVE Moderate: ruby security update 2008-10-21 14:43:41 UTC

Description Jan Lieskovsky 2008-08-26 12:05:14 UTC
Ruby upstream has reported a security vulnerability present in the
Ruby REXML module. The REXML engine is vulnerable to the "XML entity explosion" attack. This issue could allow an attacker to cause a denial of service by 
attempting to parse a XML file with recursively nested entities via the
Ruby XML files parsing engine (REXML).

References:

http://www.ruby-lang.org/en/news/2008/08/23/dos-vulnerability-in-rexml/
http://groups.google.com/group/comp.lang.ruby/browse_thread/thread/19f69e8a081fc0d1/e138e014b74352ca?#e138e014b74352ca

Comment 2 Jan Lieskovsky 2008-08-26 12:10:38 UTC
Created attachment 314979 [details]
Upstream PoC -- XML file with recursively nested entities

Comment 5 Jan Lieskovsky 2008-08-29 06:42:47 UTC
Created attachment 315334 [details]
The Ruby core REXML module patch.

Comment 6 Jan Lieskovsky 2008-08-29 06:43:54 UTC
References (patches):

1, Monkey patch, to be applied on every application by the user
   
http://www.ruby-lang.org/security/20080823rexml/rexml-expansion-fix.rb
http://weblog.rubyonrails.com/2008/8/23/dos-vulnerabilities-in-rexml

2, Standard patch, to be applied to the Ruby core (REXML module) implementation

http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/18414

Comment 10 Fedora Update System 2008-10-08 14:21:11 UTC
ruby-1.8.6.287-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/ruby-1.8.6.287-2.fc8

Comment 11 Fedora Update System 2008-10-08 14:23:09 UTC
ruby-1.8.6.287-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ruby-1.8.6.287-2.fc9

Comment 12 Fedora Update System 2008-10-09 21:29:30 UTC
ruby-1.8.6.287-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-10-09 21:35:16 UTC
ruby-1.8.6.287-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.